Summary: Telnet w/ Zmodem up/download cap.
Name: ztelnet
Version: 0.9.1
Release: 5kr
Copyright: GPL
Group: Networking
Source: SSL-MZtelnet-0.9.1+zh.tar.gz
Patch0: ztelnet-inet.patch
BuildRoot: /var/tmp/ztelnet-root

%changelog
* Mon Jan 19 1998 ManYongLee <geoman@nownuri.net>
- removed silly declaration of getenv as STATIC in sz.c

%description
Telnet with ZMODEM up/download capability

%prep
%setup -n SSL-MZtelnet-0.9.1+zh
%patch0 -p1 -b .inet

%build
cd zmodem; make clean; make linux; cd -
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr
make -C lib/libtelnet
make -C telnet

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -s -m 755 telnet/telnet $RPM_BUILD_ROOT/usr/bin/ztelnet

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/ztelnet << EOF
ztelnet name "ZTelNet"
ztelnet description "TelNet + ZMoDem"
ztelnet mini-icon "mini-telnet.xpm"
ztelnet group Networking
ztelnet exec "xterm -title ZTelNet -name ZTelNet -e ztelnet &"
EOF                      

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/ztelnet
%config(missingok) /etc/X11/wmconfig/ztelnet
